package org.jeecg.modules.dbConf.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 域名配置
 * @Author: jeecg-boot
 * @Date:   2024-08-15
 * @Version: V1.0
 */
@Data
@TableName("db_conf")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="db_conf对象", description="域名配置")
public class DbConf implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**内容值*/
	@Excel(name = "内容值", width = 15)
    @ApiModelProperty(value = "内容值")
    private java.lang.String url;
	/**键的名称*/
	@Excel(name = "键的名称", width = 15)
    @ApiModelProperty(value = "键的名称")
    private java.lang.String keyValue;
	/**内容说明*/
	@Excel(name = "内容说明", width = 15)
    @ApiModelProperty(value = "内容说明")
    private java.lang.String textValue;
}
