package org.jeecg.modules.dbInfo.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 信息描述表
 * @Author: jeecg-boot
 * @Date:   2024-08-09
 * @Version: V1.0
 */
@Data
@TableName("db_info")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="db_info对象", description="信息描述表")
public class DbInfo implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**标题地区*/
	@Excel(name = "标题地区", width = 15)
    @ApiModelProperty(value = "标题地区")
    private java.lang.String title;
	/**流水号*/
	@Excel(name = "流水号", width = 15)
    @ApiModelProperty(value = "流水号")
    private java.lang.String waterId;
	/**考生姓名*/
	@Excel(name = "考生姓名", width = 15)
    @ApiModelProperty(value = "考生姓名")
    private java.lang.String name;
	/**身份证号码*/
	@Excel(name = "身份证号码", width = 15)
    @ApiModelProperty(value = "身份证号码")
    private java.lang.String idCard;
	/**准考证号*/
	@Excel(name = "准考证号", width = 15)
    @ApiModelProperty(value = "准考证号")
    private java.lang.String ticketNumber;
	/**考试车型*/
	@Excel(name = "考试车型", width = 15)
    @ApiModelProperty(value = "考试车型")
    private java.lang.String vehicleModel;
	/**考试日期*/
	@Excel(name = "考试日期", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "考试日期")
    private java.util.Date vehicleDate;
	/**考试场地*/
	@Excel(name = "考试场地", width = 15)
    @ApiModelProperty(value = "考试场地")
    private java.lang.String vehicleAddress;
	/**考试场次*/
	@Excel(name = "考试场次", width = 15)
    @ApiModelProperty(value = "考试场次")
    private java.lang.String vehicleSession;
	/**注意事项*/
	@Excel(name = "注意事项", width = 15)
    @ApiModelProperty(value = "注意事项")
    private java.lang.String note;
	/**访问域名*/
	@Excel(name = "访问域名", width = 15, dictTable = "db_conf", dicText = "url", dicCode = "id")
	@Dict(dictTable = "db_conf", dicText = "url", dicCode = "id")
    @ApiModelProperty(value = "访问域名")
    private java.lang.String confId;
}
