package org.jeecg.modules.msgCity.service;

import org.jeecg.modules.msgCity.entity.MsgCity;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.exception.JeecgBootException;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import java.util.List;

/**
 * @Description: 开通城市
 * @Author: jeecg-boot
 * @Date:   2024-07-02
 * @Version: V1.0
 */
public interface IMsgCityService extends IService<MsgCity> {

	/**根节点父ID的值*/
	public static final String ROOT_PID_VALUE = "0";
	
	/**树节点有子节点状态值*/
	public static final String HASCHILD = "1";
	
	/**树节点无子节点状态值*/
	public static final String NOCHILD = "0";

	/**新增节点*/
	void addMsgCity(MsgCity msgCity);
	
	/**修改节点*/
	void updateMsgCity(MsgCity msgCity) throws JeecgBootException;
	
	/**删除节点*/
	void deleteMsgCity(String id) throws JeecgBootException;

	/**查询所有数据，无分页*/
    List<MsgCity> queryTreeListNoPage(QueryWrapper<MsgCity> queryWrapper);

}
