package org.jeecg.modules.msgCoupon.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 优惠券表
 * @Author: jeecg-boot
 * @Date:   2024-06-18
 * @Version: V1.0
 */
@Data
@TableName("msg_coupon")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="msg_coupon对象", description="优惠券表")
public class MsgCoupon implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**金额*/
	@Excel(name = "金额", width = 15)
    @ApiModelProperty(value = "金额")
    private java.math.BigDecimal money;
	/**满多少可用*/
	@Excel(name = "满多少可用", width = 15)
    @ApiModelProperty(value = "满多少可用")
    private java.math.BigDecimal useMoney;
	/**过期时间*/
	@Excel(name = "过期时间", width = 15)
    @ApiModelProperty(value = "过期时间")
    private java.util.Date endTime;
	/**优惠券备注*/
	@Excel(name = "优惠券备注", width = 15)
    @ApiModelProperty(value = "优惠券备注")
    private java.lang.String type;
	/**所送用户*/
	@Excel(name = "所送用户", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "所送用户")
    private java.lang.String userId;
	/**是否使用*/
	@Excel(name = "是否使用", width = 15)
    @ApiModelProperty(value = "是否使用")
    private java.lang.Integer state;
	/**使用时间*/
	@Excel(name = "使用时间", width = 15)
    @ApiModelProperty(value = "使用时间")
    private java.util.Date stateTime;
}
