package org.jeecg.modules.msgDateConfig.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 技师时间配置
 * @Author: jeecg-boot
 * @Date:   2024-07-16
 * @Version: V1.0
 */
@Data
@TableName("msg_date_config")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="msg_date_config对象", description="技师时间配置")
public class MsgDateConfig implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**日期标识*/
	@Excel(name = "日期标识", width = 15, dictTable = "msg_date", dicText = "name", dicCode = "id")
	@Dict(dictTable = "msg_date", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "日期标识")
    private java.lang.String dateId;
	/**时间标识*/
	@Excel(name = "时间标识", width = 15, dictTable = "msg_time", dicText = "name", dicCode = "id")
	@Dict(dictTable = "msg_time", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "时间标识")
    private java.lang.String timeId;
	/**技师*/
	@Excel(name = "技师", width = 15, dictTable = "msg_technician", dicText = "title", dicCode = "id")
	@Dict(dictTable = "msg_technician", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "技师")
    private java.lang.String tenId;
	/**电话*/
	@Excel(name = "电话", width = 15, dictTable = "han_hai_member", dicText = "phone", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "phone", dicCode = "id")
    @ApiModelProperty(value = "电话")
    private java.lang.String phone;
	/**是否开启*/
	@Excel(name = "是否开启", width = 15)
    @ApiModelProperty(value = "是否开启")
    private java.lang.String isDelete;
	/**时间*/
	@Excel(name = "时间", width = 15, dictTable = "msg_time", dicText = "name", dicCode = "name")
	@Dict(dictTable = "msg_time", dicText = "name", dicCode = "name")
    @ApiModelProperty(value = "时间")
    private java.lang.String timeName;
}
