package org.jeecg.modules.msgEvaluate.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 评价表
 * @Author: jeecg-boot
 * @Date:   2024-08-03
 * @Version: V1.0
 */
@Data
@TableName("msg_evaluate")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="msg_evaluate对象", description="评价表")
public class MsgEvaluate implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**用户标识*/
	@Excel(name = "用户标识", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "用户标识")
    private java.lang.String userId;
	/**技师标识*/
	@Excel(name = "技师标识", width = 15, dictTable = "msg_technician", dicText = "title", dicCode = "id")
	@Dict(dictTable = "msg_technician", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "技师标识")
    private java.lang.String terId;
	/**订单标识*/
	@Excel(name = "订单标识", width = 15, dictTable = "msg_order", dicText = "project_name", dicCode = "id")
	@Dict(dictTable = "msg_order", dicText = "project_name", dicCode = "id")
    @ApiModelProperty(value = "订单标识")
    private java.lang.String orderId;
	/**项目标识*/
	@Excel(name = "项目标识", width = 15, dictTable = "msg_shop", dicText = "title", dicCode = "id")
	@Dict(dictTable = "msg_shop", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "项目标识")
    private java.lang.String shopId;
	/**服务评价*/
	@Excel(name = "服务评价", width = 15)
    @ApiModelProperty(value = "服务评价")
    private java.lang.Integer serviceNum;
	/**专业评价*/
	@Excel(name = "专业评价", width = 15)
    @ApiModelProperty(value = "专业评价")
    private java.lang.Integer majorNum;
	/**态度评价*/
	@Excel(name = "态度评价", width = 15)
    @ApiModelProperty(value = "态度评价")
    private java.lang.Integer attitudeNum;
	/**响应评价*/
	@Excel(name = "响应评价", width = 15)
    @ApiModelProperty(value = "响应评价")
    private java.lang.Integer responseNum;
	/**标签*/
	@Excel(name = "标签", width = 15)
    @ApiModelProperty(value = "标签")
    private java.lang.String labelText;
	/**内容*/
	@Excel(name = "内容", width = 15)
    @ApiModelProperty(value = "内容")
    private java.lang.String content;
	/**类型0用户评价1技师评价*/
	@Excel(name = "类型0用户评价1技师评价", width = 15)
    @ApiModelProperty(value = "类型0用户评价1技师评价")
    private java.lang.Integer type;
	/**0好评1中评2差评*/
	@Excel(name = "0好评1中评2差评", width = 15)
    @ApiModelProperty(value = "0好评1中评2差评")
    private java.lang.Integer fraction;
}
