import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '用户标识',
    align:"center",
    dataIndex: 'userId_dictText'
   },
   {
    title: '技师标识',
    align:"center",
    dataIndex: 'terId_dictText'
   },
   {
    title: '订单标识',
    align:"center",
    dataIndex: 'orderId_dictText'
   },
   {
    title: '项目标识',
    align:"center",
    dataIndex: 'shopId_dictText'
   },
   {
    title: '服务评价',
    align:"center",
    dataIndex: 'serviceNum'
   },
   {
    title: '专业评价',
    align:"center",
    dataIndex: 'majorNum'
   },
   {
    title: '态度评价',
    align:"center",
    dataIndex: 'attitudeNum'
   },
   {
    title: '响应评价',
    align:"center",
    dataIndex: 'responseNum'
   },
   {
    title: '标签',
    align:"center",
    dataIndex: 'labelText'
   },
   {
    title: '内容',
    align:"center",
    dataIndex: 'content'
   },
   {
    title: '类型0用户评价1技师评价',
    align:"center",
    dataIndex: 'type'
   },
   {
    title: '0好评1中评2差评',
    align:"center",
    dataIndex: 'fraction'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '用户标识',
    field: 'userId',
    component: 'JSearchSelect',
    componentProps:{
       dict:"han_hai_member,nick_name,id"
    },
  },
  {
    label: '技师标识',
    field: 'terId',
    component: 'JSearchSelect',
    componentProps:{
       dict:"msg_technician,title,id"
    },
  },
  {
    label: '订单标识',
    field: 'orderId',
    component: 'JSearchSelect',
    componentProps:{
       dict:"msg_order,project_name,id"
    },
  },
  {
    label: '项目标识',
    field: 'shopId',
    component: 'JSearchSelect',
    componentProps:{
       dict:"msg_shop,title,id"
    },
  },
  {
    label: '服务评价',
    field: 'serviceNum',
    component: 'InputNumber',
  },
  {
    label: '专业评价',
    field: 'majorNum',
    component: 'InputNumber',
  },
  {
    label: '态度评价',
    field: 'attitudeNum',
    component: 'InputNumber',
  },
  {
    label: '响应评价',
    field: 'responseNum',
    component: 'InputNumber',
  },
  {
    label: '标签',
    field: 'labelText',
    component: 'Input',
  },
  {
    label: '内容',
    field: 'content',
    component: 'InputTextArea',//TODO 注意string转换问题
  },
  {
    label: '类型0用户评价1技师评价',
    field: 'type',
    component: 'InputNumber',
  },
  {
    label: '0好评1中评2差评',
    field: 'fraction',
    component: 'InputNumber',
  },
];
