package org.jeecg.modules.msgOrder.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 订单表
 * @Author: jeecg-boot
 * @Date:   2025-01-25
 * @Version: V1.0
 */
@Data
@TableName("msg_order")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="msg_order对象", description="订单表")
public class MsgOrder implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**头像*/
	@Excel(name = "头像", width = 15)
    @ApiModelProperty(value = "头像")
    private java.lang.String image;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private java.lang.String name;
	/**电话*/
	@Excel(name = "电话", width = 15)
    @ApiModelProperty(value = "电话")
    private java.lang.String phone;
	/**支付时间*/
	@Excel(name = "支付时间", width = 15)
    @ApiModelProperty(value = "支付时间")
    private java.util.Date payTime;
	/**下单地址*/
	@Excel(name = "下单地址", width = 15)
    @ApiModelProperty(value = "下单地址")
    private java.lang.String address;
	/**地址标识*/
	@Excel(name = "地址标识", width = 15, dictTable = "msg_address", dicText = "address_detail", dicCode = "id")
	@Dict(dictTable = "msg_address", dicText = "address_detail", dicCode = "id")
    @ApiModelProperty(value = "地址标识")
    private java.lang.String addressId;
	/**总计时间*/
	@Excel(name = "总计时间", width = 15)
    @ApiModelProperty(value = "总计时间")
    private java.lang.Integer useTime;
	/**技师名称*/
	@Excel(name = "技师名称", width = 15)
    @ApiModelProperty(value = "技师名称")
    private java.lang.String terName;
	/**订单状态*/
	@Excel(name = "订单状态", width = 15, dicCode = "order_state")
	@Dict(dicCode = "order_state")
    @ApiModelProperty(value = "订单状态")
    private java.lang.Integer state;
	/**订单价格*/
	@Excel(name = "订单价格", width = 15)
    @ApiModelProperty(value = "订单价格")
    private java.math.BigDecimal money;
	/**用户标识*/
	@Excel(name = "用户标识", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "用户标识")
    private java.lang.String userId;
	/**关联技师*/
	@Excel(name = "关联技师", width = 15, dictTable = "msg_technician", dicText = "title", dicCode = "id")
	@Dict(dictTable = "msg_technician", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "关联技师")
    private java.lang.String technicianId;
	/**项目标识*/
	@Excel(name = "项目标识", width = 15, dictTable = "msg_shop", dicText = "title", dicCode = "id")
	@Dict(dictTable = "msg_shop", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "项目标识")
    private java.lang.String projectId;
	/**项目名称*/
	@Excel(name = "项目名称", width = 15)
    @ApiModelProperty(value = "项目名称")
    private java.lang.String projectName;
	/**支付方式*/
	@Excel(name = "支付方式", width = 15, dicCode = "order_pay")
	@Dict(dicCode = "order_pay")
    @ApiModelProperty(value = "支付方式")
    private java.lang.Integer payType;
	/**订单备注*/
	@Excel(name = "订单备注", width = 15)
    @ApiModelProperty(value = "订单备注")
    private java.lang.String remark;
	/**地址明细*/
	@Excel(name = "地址明细", width = 15)
    @ApiModelProperty(value = "地址明细")
    private java.lang.String addressDetails;
	/**优惠券标识*/
	@Excel(name = "优惠券标识", width = 15, dictTable = "msg_coupon", dicText = "money", dicCode = "id")
	@Dict(dictTable = "msg_coupon", dicText = "money", dicCode = "id")
    @ApiModelProperty(value = "优惠券标识")
    private java.lang.String couponId;
	/**技师状态*/
	@Excel(name = "技师状态", width = 15, dicCode = "ten_state")
	@Dict(dicCode = "ten_state")
    @ApiModelProperty(value = "技师状态")
    private java.lang.Integer tenState;
	/**技师是否接单*/
	@Excel(name = "技师是否接单", width = 15)
    @ApiModelProperty(value = "技师是否接单")
    private java.lang.String tenOk;
	/**接单时间*/
	@Excel(name = "接单时间", width = 15)
    @ApiModelProperty(value = "接单时间")
    private java.util.Date confirmTime;
	/**出发时间*/
	@Excel(name = "出发时间", width = 15)
    @ApiModelProperty(value = "出发时间")
    private java.util.Date startTime;
	/**到达时间*/
	@Excel(name = "到达时间", width = 15)
    @ApiModelProperty(value = "到达时间")
    private java.util.Date arriveTime;
	/**到达照片*/
	@Excel(name = "到达照片", width = 15)
    @ApiModelProperty(value = "到达照片")
    private java.lang.String arrivalPicture;
	/**服务时间*/
	@Excel(name = "服务时间", width = 15)
    @ApiModelProperty(value = "服务时间")
    private java.util.Date startServiceTime;
	/**结束服务时间*/
	@Excel(name = "结束服务时间", width = 15)
    @ApiModelProperty(value = "结束服务时间")
    private java.util.Date endErviceTime;
	/**结束服务照片*/
	@Excel(name = "结束服务照片", width = 15)
    @ApiModelProperty(value = "结束服务照片")
    private java.lang.String endPicture;
	/**车费*/
	@Excel(name = "车费", width = 15)
    @ApiModelProperty(value = "车费")
    private java.math.BigDecimal temp;
	/**服务下单时间*/
	@Excel(name = "服务下单时间", width = 15)
    @ApiModelProperty(value = "服务下单时间")
    private java.lang.String serviceTime;
	/**用户评价*/
	@Excel(name = "用户评价", width = 15)
    @ApiModelProperty(value = "用户评价")
    private java.lang.Integer evaluated;
	/**技师评价*/
	@Excel(name = "技师评价", width = 15)
    @ApiModelProperty(value = "技师评价")
    private java.lang.Integer jsEvaluated;
	/**服务日期*/

    @ApiModelProperty(value = "服务日期")
    private java.lang.String serviceDate;
	/**分销商所得(一级)*/
	@Excel(name = "分销商所得(一级)", width = 15)
    @ApiModelProperty(value = "分销商所得(一级)")
    private java.math.BigDecimal shopMoney;
	/**技师所得（项目）*/
	@Excel(name = "技师所得（项目）", width = 15)
    @ApiModelProperty(value = "技师所得（项目）")
    private java.math.BigDecimal tenMoney;
	/**一级所得*/
	@Excel(name = "一级所得", width = 15)
    @ApiModelProperty(value = "一级所得")
    private java.math.BigDecimal tenPrice;
	/**二级所得*/
	@Excel(name = "二级所得", width = 15)
    @ApiModelProperty(value = "二级所得")
    private java.math.BigDecimal tenMinPrice;
	/**评价所得*/
	@Excel(name = "评价所得", width = 15)
    @ApiModelProperty(value = "评价所得")
    private java.math.BigDecimal pinPrice;
}
