package org.jeecg.modules.msgShop.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 项目表
 * @Author: jeecg-boot
 * @Date:   2024-07-20
 * @Version: V1.0
 */
@Data
@TableName("msg_shop")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="msg_shop对象", description="项目表")
public class MsgShop implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**主图*/
	@Excel(name = "主图", width = 15)
    @ApiModelProperty(value = "主图")
    private java.lang.String image;
	/**服务项目*/
	@Excel(name = "服务项目", width = 15)
    @ApiModelProperty(value = "服务项目")
    private java.lang.String title;
	/**服务时间*/
	@Excel(name = "服务时间", width = 15)
    @ApiModelProperty(value = "服务时间")
    private java.lang.Integer times;
	/**原价*/
	@Excel(name = "原价", width = 15)
    @ApiModelProperty(value = "原价")
    private java.math.BigDecimal oldPrice;
	/**现价*/
	@Excel(name = "现价", width = 15)
    @ApiModelProperty(value = "现价")
    private java.math.BigDecimal price;
	/**已出售*/
	@Excel(name = "已出售", width = 15)
    @ApiModelProperty(value = "已出售")
    private java.lang.Integer payNum;
	/**小标题*/
	@Excel(name = "小标题", width = 15)
    @ApiModelProperty(value = "小标题")
    private java.lang.String subTitle;
	/**项目介绍*/
	@Excel(name = "项目介绍", width = 15)
    @ApiModelProperty(value = "项目介绍")
    private java.lang.String projectSub;
	/**下单说明*/
	@Excel(name = "下单说明", width = 15)
    @ApiModelProperty(value = "下单说明")
    private java.lang.String projectExplain;
	/**分销商所得(一级)*/
	@Excel(name = "分销商所得(一级)", width = 15)
    @ApiModelProperty(value = "分销商所得(一级)")
    private java.math.BigDecimal shopMoney;
	/**技师所得（项目）*/
	@Excel(name = "技师所得（项目）", width = 15)
    @ApiModelProperty(value = "技师所得（项目）")
    private java.math.BigDecimal tenMoney;
	/**一级所得*/
	@Excel(name = "一级所得", width = 15)
    @ApiModelProperty(value = "一级所得")
    private java.math.BigDecimal tenPrice;
	/**二级所得*/
	@Excel(name = "二级所得", width = 15)
    @ApiModelProperty(value = "二级所得")
    private java.math.BigDecimal tenMinPrice;
	/**评价所得*/
	@Excel(name = "评价所得", width = 15)
    @ApiModelProperty(value = "评价所得")
    private java.math.BigDecimal pinPrice;
	/**排序*/
	@Excel(name = "排序", width = 15)
    @ApiModelProperty(value = "排序")
    private java.lang.Integer sort;
}
