package org.jeecg.modules.msgShopConfig.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.modules.msgShop.entity.MsgShop;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 技师项目配置
 * @Author: jeecg-boot
 * @Date:   2024-07-01
 * @Version: V1.0
 */
@Data
@TableName("msg_shop_config")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="msg_shop_config对象", description="技师项目配置")
public class MsgShopConfig implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**技师*/
	@Excel(name = "技师", width = 15, dictTable = "msg_technician", dicText = "title", dicCode = "id")
	@Dict(dictTable = "msg_technician", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "技师")
    private java.lang.String tenId;
	/**项目*/
	@Excel(name = "项目", width = 15, dictTable = "msg_shop", dicText = "title", dicCode = "id")
	@Dict(dictTable = "msg_shop", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "项目")
    private java.lang.String shopId;
	/**是否开启*/
	@Excel(name = "是否开启", width = 15)
    @ApiModelProperty(value = "是否开启")
    private java.lang.String isDelete;


	@TableField(exist = false)
    private MsgShop shopObject;
}
