package org.jeecg.modules.msgTechnician.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 技师表
 * @Author: jeecg-boot
 * @Date:   2025-01-19
 * @Version: V1.0
 */
@Data
@TableName("msg_technician")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="msg_technician对象", description="技师表")
public class MsgTechnician implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**关联城市*/
	@Excel(name = "关联城市", width = 15, dictTable = "msg_city", dicText = "name", dicCode = "id")
	@Dict(dictTable = "msg_city", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "关联城市")
    private java.lang.String msgCityId;
	/**头像*/
	@Excel(name = "头像", width = 15)
    @ApiModelProperty(value = "头像")
    private java.lang.String image;
	/**昵称*/
	@Excel(name = "昵称", width = 15)
    @ApiModelProperty(value = "昵称")
    private java.lang.String title;
	/**标签*/
	@Excel(name = "标签", width = 15)
    @ApiModelProperty(value = "标签")
    private java.lang.String icon;
	/**微信用户*/
	@Excel(name = "微信用户", width = 15, dictTable = "han_hai_member", dicText = "phone", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "phone", dicCode = "id")
    @ApiModelProperty(value = "微信用户")
    private java.lang.String userId;
	/**级别*/
	@Excel(name = "级别", width = 15)
    @ApiModelProperty(value = "级别")
    private java.lang.Integer level;
	/**评分*/
	@Excel(name = "评分", width = 15)
    @ApiModelProperty(value = "评分")
    private java.lang.Integer score;
	/**个人介绍*/
	@Excel(name = "个人介绍", width = 15)
    @ApiModelProperty(value = "个人介绍")
    private java.lang.String notes;
	/**官方认证*/
	@Excel(name = "官方认证", width = 15)
    @ApiModelProperty(value = "官方认证")
    private java.lang.String isVip;
	/**体重*/
	@Excel(name = "体重", width = 15)
    @ApiModelProperty(value = "体重")
    private java.lang.String kg;
	/**身高*/
	@Excel(name = "身高", width = 15)
    @ApiModelProperty(value = "身高")
    private java.lang.String cm;
	/**地区*/
	@Excel(name = "地区", width = 15)
    @ApiModelProperty(value = "地区")
    private java.lang.String area;
	/**城市*/
	@Excel(name = "城市", width = 15)
    @ApiModelProperty(value = "城市")
    private java.lang.String city;
	/**区县*/
	@Excel(name = "区县", width = 15)
    @ApiModelProperty(value = "区县")
    private java.lang.String county;
	/**实名*/
	@Excel(name = "实名", width = 15)
    @ApiModelProperty(value = "实名")
    private java.lang.String realOk;
	/**性别*/
	@Excel(name = "性别", width = 15)
    @ApiModelProperty(value = "性别")
    private java.lang.String sex;
	/**经验*/
	@Excel(name = "经验", width = 15)
    @ApiModelProperty(value = "经验")
    private java.lang.String experience;
	/**识别度*/
	@Excel(name = "识别度", width = 15)
    @ApiModelProperty(value = "识别度")
    private java.lang.Integer isSb;
	/**服务次数*/
	@Excel(name = "服务次数", width = 15)
    @ApiModelProperty(value = "服务次数")
    private java.lang.Integer isFw;
	/**收藏次数*/
	@Excel(name = "收藏次数", width = 15)
    @ApiModelProperty(value = "收藏次数")
    private java.lang.Integer collectNum;
	/**个人相册*/
	@Excel(name = "个人相册", width = 15)
    @ApiModelProperty(value = "个人相册")
    private java.lang.String images;
	/**评价条数*/
	@Excel(name = "评价条数", width = 15)
    @ApiModelProperty(value = "评价条数")
    private java.lang.Integer pinNum;
	/**最早可预约时间*/
	@Excel(name = "最早可预约时间", width = 15)
    @ApiModelProperty(value = "最早可预约时间")
    private java.lang.String useTime;
	/**经度*/
	@Excel(name = "经度", width = 15)
    @ApiModelProperty(value = "经度")
    private java.lang.String longitude;
	/**多少公里内免费*/
	@Excel(name = "多少公里内免费", width = 15)
    @ApiModelProperty(value = "多少公里内免费")
    private java.lang.Integer isKm;
	/**纬度*/
	@Excel(name = "纬度", width = 15)
    @ApiModelProperty(value = "纬度")
    private java.lang.String latitude;
	/**是否可预约*/
	@Excel(name = "是否可预约", width = 15)
    @ApiModelProperty(value = "是否可预约")
    private java.lang.String bookable;
	/**免费出行*/
	@Excel(name = "免费出行", width = 15)
    @ApiModelProperty(value = "免费出行")
    private java.lang.String isCx;
	/**显示距离*/
	@Excel(name = "显示距离", width = 15)
    @ApiModelProperty(value = "显示距离")
    private java.lang.Integer setKm;
	/**运营号*/
	@Excel(name = "运营号", width = 15)
    @ApiModelProperty(value = "运营号")
    private java.lang.Integer isTest;
	/**距离显示开启*/
	@Excel(name = "距离显示开启", width = 15)
    @ApiModelProperty(value = "距离显示开启")
    private java.lang.String setKmOpen;
	/**健康证*/
	@Excel(name = "健康证", width = 15)
    @ApiModelProperty(value = "健康证")
    private java.lang.String healthCertificate;
	/**营业证*/
	@Excel(name = "营业证", width = 15)
    @ApiModelProperty(value = "营业证")
    private java.lang.String businessLicense;
}
