package org.jeecg.modules.msgTer.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 技师入驻表
 * @Author: jeecg-boot
 * @Date:   2024-11-18
 * @Version: V1.0
 */
@Data
@TableName("msg_ter")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="msg_ter对象", description="技师入驻表")
public class MsgTer implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**技师名称*/
	@Excel(name = "技师名称", width = 15)
    @ApiModelProperty(value = "技师名称")
    private java.lang.String name;
	/**技师性别*/
	@Excel(name = "技师性别", width = 15)
    @ApiModelProperty(value = "技师性别")
    private java.lang.String sex;
	/**联系电话*/
	@Excel(name = "联系电话", width = 15)
    @ApiModelProperty(value = "联系电话")
    private java.lang.String phone;
	/**技师年龄*/
	@Excel(name = "技师年龄", width = 15)
    @ApiModelProperty(value = "技师年龄")
    private java.lang.String age;
	/**意向城市*/
	@Excel(name = "意向城市", width = 15)
    @ApiModelProperty(value = "意向城市")
    private java.lang.String city;
	/**照片*/
	@Excel(name = "照片", width = 15)
    @ApiModelProperty(value = "照片")
    private java.lang.String image;
	/**关联用户*/
	@Excel(name = "关联用户", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联用户")
    private java.lang.String userId;
	/**证件号码*/
	@Excel(name = "证件号码", width = 15)
    @ApiModelProperty(value = "证件号码")
    private java.lang.String idCard;
	/**正面图*/
	@Excel(name = "正面图", width = 15)
    @ApiModelProperty(value = "正面图")
    private java.lang.String idImg;
	/**反面图*/
	@Excel(name = "反面图", width = 15)
    @ApiModelProperty(value = "反面图")
    private java.lang.String idImg2;
	/**状态*/
	@Excel(name = "状态", width = 15, dicCode = "open_state")
	@Dict(dicCode = "open_state")
    @ApiModelProperty(value = "状态")
    private java.lang.Integer state;
	/**开户行*/
	@Excel(name = "开户行", width = 15)
    @ApiModelProperty(value = "开户行")
    private java.lang.String bank;
	/**账号*/
	@Excel(name = "账号", width = 15)
    @ApiModelProperty(value = "账号")
    private java.lang.String card;
	/**健康证*/
	@Excel(name = "健康证", width = 15)
    @ApiModelProperty(value = "健康证")
    private java.lang.String idImage;
	/**营业证*/
	@Excel(name = "营业证", width = 15)
    @ApiModelProperty(value = "营业证")
    private java.lang.String idImage2;
}
