import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '技师名称',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '技师性别',
    align:"center",
    dataIndex: 'sex'
   },
   {
    title: '联系电话',
    align:"center",
    dataIndex: 'phone'
   },
   {
    title: '技师年龄',
    align:"center",
    dataIndex: 'age'
   },
   {
    title: '意向城市',
    align:"center",
    dataIndex: 'city'
   },
   {
    title: '照片',
    align:"center",
    dataIndex: 'image',
    customRender:render.renderAvatar,
   },
   {
    title: '关联用户',
    align:"center",
    dataIndex: 'userId_dictText'
   },
   {
    title: '证件号码',
    align:"center",
    dataIndex: 'idCard'
   },
   {
    title: '正面图',
    align:"center",
    dataIndex: 'idImg',
    customRender:render.renderAvatar,
   },
   {
    title: '反面图',
    align:"center",
    dataIndex: 'idImg2',
    customRender:render.renderAvatar,
   },
   {
    title: '状态',
    align:"center",
    dataIndex: 'state_dictText'
   },
   {
    title: '开户行',
    align:"center",
    dataIndex: 'bank'
   },
   {
    title: '账号',
    align:"center",
    dataIndex: 'card'
   },
   {
    title: '健康证',
    align:"center",
    dataIndex: 'idImage',
    customRender:render.renderAvatar,
   },
   {
    title: '营业证',
    align:"center",
    dataIndex: 'idImage2',
    customRender:render.renderAvatar,
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '技师名称',
    field: 'name',
    component: 'Input',
  },
  {
    label: '技师性别',
    field: 'sex',
    component: 'Input',
  },
  {
    label: '联系电话',
    field: 'phone',
    component: 'Input',
  },
  {
    label: '技师年龄',
    field: 'age',
    component: 'Input',
  },
  {
    label: '意向城市',
    field: 'city',
    component: 'Input',
  },
  {
    label: '照片',
    field: 'image',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '关联用户',
    field: 'userId',
    component: 'JSearchSelect',
    componentProps:{
       dict:"han_hai_member,nick_name,id"
    },
  },
  {
    label: '证件号码',
    field: 'idCard',
    component: 'Input',
  },
  {
    label: '正面图',
    field: 'idImg',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '反面图',
    field: 'idImg2',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '状态',
    field: 'state',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"open_state"
     },
  },
  {
    label: '开户行',
    field: 'bank',
    component: 'Input',
  },
  {
    label: '账号',
    field: 'card',
    component: 'Input',
  },
  {
    label: '健康证',
    field: 'idImage',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '营业证',
    field: 'idImage2',
     component: 'JImageUpload',
     componentProps:{
      },
  },
];
